## scilab 5.5.0~beta-1~git~20131204-1256

=== debian/changelog ===
scilab (5.5.0~beta-1~git~20131204-1256-1~exp1) unstable; urgency=low

  * New snapshot release
    - Enables the dynamic stack (a magic fortran work around). It makes
      Scilab build with gcc 4.8 and fixes some other arch related bugs.
      (Closes: #723644)
  * Upload in unstable
  * Generate the manpages on the fly with help2man (Closes: #731236)
  * Also install scilab.appdata.xml to the various software center
  * Install all icons at the right places (LP: #1257075)
  * Add libecj-java as build/run dependency for the Java binding

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 04 Dec 2013 13:14:05 +0100

scilab (5.5.0~beta-1-1~exp4) experimental; urgency=low

  * Force the Scilab dynamic stack for all archs
  * Come back on gcc 4.8

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 07 Nov 2013 17:22:25 +0100

scilab (5.5.0~beta-1-1~exp3) experimental; urgency=low

  * Only use gcc 4.7
  * Also ship CHANGES_5.5.X

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 25 Oct 2013 01:20:09 +0200

scilab (5.5.0~beta-1-1~exp2) experimental; urgency=low

  * Force the usage of gfortran 4.7
    Probably related to http://gcc.gnu.org/ml/fortran/2013-08/msg00077.html

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 15 Oct 2013 16:23:53 +0200

scilab (5.5.0~beta-1-1~exp1) experimental; urgency=low

  * New upstream release
  * Enable MPI features

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 21 Aug 2013 14:13:14 +0200

## scilab 5.5.0~beta-1~git~20131216-1627

=== debian/changelog ===
scilab (5.5.0~beta-1~git~20131216-1627-1) unstable; urgency=low

  * New snapshot release
  * Remove the check of dependencies on xcos startup (Closes: #732065)

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 16 Dec 2013 16:20:22 +0100

=== debian/control ===
Source: scilab
Section: math
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Sylvestre Ledru <sylvestre@debian.org>
Build-Depends: autoconf, automake, cdbs, debhelper (>= 7), gfortran,
 default-jdk, chrpath, ocaml-nox (>= 3.11.2-3), fakeroot,
 tcl8.5-dev, tk8.5-dev, libxml2-dev, libpcre3-dev, libcurl4-openssl-dev,
 gettext, libreadline-dev, pkg-config, procps, dpkg-dev (>= 1.16.0),
# numerical libraries
 libblas-dev | librefblas3-dev | libatlas-base-dev, liblapack-dev,
 libarpack2-dev (>= 3.0),
# Java deps
 libflexdock-java (>= 1.2.3), libjogl2-java (>= 2.0-rc8), libgl1-mesa-dev,
 libjrosetta-java (>= 1.0.1), ant, libjgoodies-looks-java,
 libskinlf-java,
# Documentation
 libjeuclid-core-java (>= 3.1.3), libbatik-java (>= 1.7), fop (>= 0.95),
 javahelp2, libsaxon-java, libavalon-framework-java, docbook-xsl,
 libxml-commons-external-java, help2man,
# Optional Scilab features
 libfftw3-dev, libsuitesparse-dev (>= 3.4.0),
 libmatio-dev (>= 1.5.0),
# latex rendering
 libjlatexmath-java (>= 1.0.2),  libjlatexmath-fop-java (>= 1.0.2),
 libscirenderer-java (>= 1.1.0),
# Xcos
 libjgraphx-java (>= 1.8.0.0), libhdf5-dev (>= 1.8.8),
# MPI
 mpi-default-dev,
# Java binding
 libecj-java,
# Unitary testing
 ant-optional, junit4, libcobertura-java
Standards-Version: 3.9.4
Homepage: http://www.scilab.org
Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/scilab/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/debian-science/packages/scilab/trunk/

Package: scilab-cli
Architecture: all
Depends: scilab-minimal-bin (>= ${source:Version}),
 scilab-data (= ${binary:Version}), ${misc:Depends},
 scilab-include (>= ${source:Version})
# scilab-include is installed by default since it is widely used by many
# toolboxes
Recommends: scilab-sivp (>= 0.5.2)
Suggests: gfortran, gcc, scilab-swt, scilab-scimax, scilab-plotlib, scilab-ann
# For the dynamic link
Description: Scientific software package - Command Line Interpreter
 Scilab is a matrix-based scientific software package.
 Scilab contains hundreds of built-in mathematical functions, rich
 data structures (including polynomials, rationals, linear systems, lists,
 etc...) and comes with a number of specific toolboxes for
 control, signal processing, ...
 .
 This package provides Scilab as Command Line Interpreter (CLI). This package
 provides Scilab as a computing engine or script interpreter.
 Please install the package "scilab" to have all features.

Package: scilab
Architecture: all
Depends: scilab-cli (>= ${source:Version}), ${misc:Depends}, scilab-full-bin
Recommends: scilab-doc (= ${binary:Version}),
Suggests: scilab-doc-fr (= ${binary:Version}),
 scilab-doc-pt-br (= ${binary:Version}),
 scilab-doc-ja (= ${binary:Version})
Description: Scientific software package for numerical computations
 Scilab is a matrix-based scientific software package.
 Scilab contains hundreds of built-in mathematical functions, rich
 data structures (including polynomials, rationals, linear systems, lists,
 etc...) and comes with a number of specific toolboxes for control, signal
 processing, ...
 .
 This package also provides Xcos, a graphical editor to design hybrid
 dynamical systems models. Models can be designed, loaded, saved, compiled and
 simulated.
 Stable and efficient solution for industrial and academics needs, Xcos
 provides functionalities for modeling of mechanical systems (automotive,
 aeronautics...), hydraulic circuits (dam, pipe modeling...), control systems,
 etc. Modelica capabilities are also provided.
 .
 For a minimum version of scilab, install package "scilab-cli".

Package: scilab-data
Architecture: all
Depends: ${misc:Depends}
Description: Scientific software package for numerical computations (data files)
 Scilab is a matrix-based scientific software package.
 Scilab contains hundreds of built-in mathematical functions, rich
 data structures (including polynomials, rationals, linear systems, lists,
 etc...) and comes with a number of specific toolboxes for
 control, signal processing, ...
 .
 This package also provides Xcos, a graphical editor to design hybrid
 dynamical systems models. Models can be designed, loaded, saved, compiled and
 simulated.
 Stable and efficient solution for industrial and academics needs, Xcos
 provides functionalities for modeling of mechanical systems (automotive,
 aeronautics...), hydraulic circuits (dam, pipe modeling...), control systems,
 etc. Modelica capabilities are also provided.
 .
 This package contains the data files for Scilab.


Package: scilab-include
# any because of the bug #550243
Architecture: any
Depends: ${misc:Depends}
Description: Scientific software package for numerical computations (include files)
 Scilab is a matrix-based scientific software package.
 Scilab contains hundreds of built-in mathematical functions, rich
 data structures (including polynomials, rationals, linear systems, lists,
 etc...) and comes with a number of specific toolboxes for
 control, signal processing, ...
 .
 This package also provides Xcos, a graphical editor to design hybrid
 dynamical systems models. Models can be designed, loaded, saved, compiled and
 simulated.
 Stable and efficient solution for industrial and academics needs, Xcos
 provides functionalities for modeling of mechanical systems (automotive,
 aeronautics...), hydraulic circuits (dam, pipe modeling...), control systems,
 etc. Modelica capabilities are also provided.
 .
 This package contains the include files for Scilab (used in the dynamic link).


Package: scilab-minimal-bin
Architecture: any
Depends: ${shlibs:Depends}, scilab-data (= ${source:Version}),
 ${misc:Depends}
Replaces: scilab-bin, scilab-full-bin (<< 5.4.1-3)
Breaks: scilab-full-bin (<< 5.4.1-3)
Description: Scientific software package for numerical computations (minimal binary files)
 Scilab is a matrix-based scientific software package.
 Scilab contains hundreds of built-in mathematical functions, rich
 data structures (including polynomials, rationals, linear systems, lists,
 etc...) and comes with a number of specific toolboxes for
 control, signal processing, ...
 .
 This package also provides Xcos, a graphical editor to design hybrid
 dynamical systems models. Models can be designed, loaded, saved, compiled and
 simulated.
 Stable and efficient solution for industrial and academics needs, Xcos
 provides functionalities for modeling of mechanical systems (automotive,
 aeronautics...), hydraulic circuits (dam, pipe modeling...), control systems,
 etc. Modelica capabilities are also provided.
 .
 This package contains the architecture specific binary files.
 All mandatory libraries for scilab-cli are shipped in this package.
 Please install the package "scilab" to have all features.

Package: scilab-full-bin
Architecture: any
Depends: ${shlibs:Depends}, scilab-minimal-bin (= ${binary:Version}),
 libflexdock-java (>= 1.2.3), libjogl2-java (>= 2.0-rc8), libjrosetta-java (>= 1.0.1),
 libjlatexmath-java (>= 1.0.2), libjlatexmath-fop-java (>= 1.0.2),
 libjeuclid-core-java, libbatik-java (>= 1.7), default-jre, bwidget,
 fop (>= 0.95), libsaxon-java, libavalon-framework-java, docbook-xsl,
 javahelp2, libjgraphx-java (>= 1.8.0.0), libjgoodies-looks-java,
 libskinlf-java, ${misc:Depends}, libscirenderer-java (>= 1.1.0),
 libecj-java
Replaces: scilab (<< 5.0), scilab-bin, scilab-minimal-bin (<< 5.4.1-3), libscilab2-java (<< 5.4.1-4)
Breaks: scilab-minimal-bin (<< 5.4.1-3), libscilab2-java (<< 5.4.1-4)
Description: Scientific software package for numerical computations (all binary files)
 Scilab is a matrix-based scientific software package.
 Scilab contains hundreds of built-in mathematical functions, rich
 data structures (including polynomials, rationals, linear systems, lists,
 etc...) and comes with a number of specific toolboxes for
 control, signal processing ...
 .
 This package also provides Xcos, a graphical editor to design hybrid
 dynamical systems models. Models can be designed, loaded, saved, compiled and
 simulated.
 .
 Stable and efficient solution for industrial and academics needs, Xcos
 provides functionalities for modeling of mechanical systems (automotive,
 aeronautics...), hydraulic circuits (dam, pipe modeling...), control systems,
 etc. Modelica capabilities are also provided.
 .
 This package contains the architecture specific binary files.


Package: scilab-minimal-bin-dbg
Architecture: any
Section: debug
Priority: extra
Pre-Depends: ${dpkg:Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, scilab-minimal-bin (>= ${source:Version})
Suggests: scilab (>= ${source:Version})
Description: Scientific software package (scilab-cli debugging symbols)
 Scilab is a matrix-based scientific software package.
 Scilab contains hundreds of built-in mathematical functions, rich
 data structures (including polynomials, rationals, linear systems, lists,
 etc...) and comes with a number of specific toolboxes for
 control, signal processing, ...
 .
 This package also provides Xcos, a graphical editor to design hybrid
 dynamical systems models. Models can be designed, loaded, saved, compiled and
 simulated.
 Stable and efficient solution for industrial and academics needs, Xcos
 provides functionalities for modeling of mechanical systems (automotive,
 aeronautics...), hydraulic circuits (dam, pipe modeling...), control systems,
 etc. Modelica capabilities are also provided.
 .
 This package contains the architecture specific debugging symbols.

Package: scilab-full-bin-dbg
Architecture: any
Section: debug
Priority: extra
Pre-Depends: ${dpkg:Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, scilab-full-bin (>= ${source:Version})
Suggests: scilab (>= ${source:Version})
Description: Scientific software package (scilab debugging symbols)
 Scilab is a matrix-based scientific software package.
 Scilab contains hundreds of built-in mathematical functions, rich
 data structures (including polynomials, rationals, linear systems, lists,
 etc...) and comes with a number of specific toolboxes for
 control, signal processing, ...
 .
 This package contains the architecture specific debugging symbols.

Package: scilab-doc
Section: doc
Depends: ${misc:Depends}
Architecture: all
Description: Scientific software package (english documentations)
 Scilab is a matrix-based scientific software package.
 Scilab contains hundreds of built-in mathematical functions, rich
 data structures (including polynomials, rationals, linear systems, lists,
 etc...) and comes with a number of specific toolboxes for
 control, signal processing, ...
 .
 This package also provides Xcos, a graphical editor to design hybrid
 dynamical systems models. Models can be designed, loaded, saved, compiled and
 simulated.
 Stable and efficient solution for industrial and academics needs, Xcos
 provides functionalities for modeling of mechanical systems (automotive,
 aeronautics...), hydraulic circuits (dam, pipe modeling...), control systems,
 etc. Modelica capabilities are also provided.
 .
 This package contains demos, examples and help pages.

Package: scilab-doc-fr
Section: doc
Architecture: all
Depends: scilab-doc, ${misc:Depends}
Description: Scientific software package (french documentation)
 Scilab is a matrix-based scientific software package.
 Scilab contains hundreds of built-in mathematical functions, rich
 data structures (including polynomials, rationals, linear systems, lists,
 etc...) and comes with a number of specific toolboxes for
 control, signal processing, ...
 .
 This package also provides Xcos, a graphical editor to design hybrid
 dynamical systems models. Models can be designed, loaded, saved, compiled and
 simulated.
 Stable and efficient solution for industrial and academics needs, Xcos
 provides functionalities for modeling of mechanical systems (automotive,
 aeronautics...), hydraulic circuits (dam, pipe modeling...), control systems,
 etc. Modelica capabilities are also provided.
 .

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/cdbs/1/rules/buildcore.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

# Detect the arch (with the naming of Sun)
DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

archdir_map	:= amd64=amd64 i386=i386 lpia=i386 powerpc=ppc sparc=sparc ia64=ia64 armel=arm mips=mips mipsel=mipsel
archdir		:= $(strip $(patsubst $(DEB_HOST_ARCH)=%, %, \
			$(filter $(DEB_HOST_ARCH)=%, $(archdir_map))))

JAVA_HOME            := /usr/lib/jvm/default-java

DEB_CONFIGURE_NORMAL_ARGS += --prefix=$(DEB_CONFIGURE_PREFIX) \
	--with-fftw --enable-relocatable \
	--with-umfpack --enable-build-localization \
	--with-install-help-xml --enable-build-help \
	--with-tcl-library=/usr/lib/$(DEB_HOST_MULTIARCH) \
	--enable-mpi --disable-static-system-lib
#	--enable-compilation-tests

DEB_CONFIGURE_SCRIPT_ENV += LDFLAGS="-Wl,--no-as-needed"


ENABLE_BUILD_HELP_ARCHS := amd64 i386
ifneq (,$(findstring $(DEB_HOST_ARCH),$(ENABLE_BUILD_HELP_ARCHS)))
# Enable the build on these arch. it timeouts for the other archs
DEB_MAKE_BUILD_TARGET := all doc
else
DEB_MAKE_BUILD_TARGET := all
endif

DEB_MAKE_INSTALL_TARGET := install install-data install-html \
					prefix=$(DEB_DESTDIR)/usr \
				   bindir=$(DEB_DESTDIR)/usr/bin \
				   datadir=$(DEB_DESTDIR)/usr/share/ \
				   sharedir=$(DEB_DESTDIR)/usr/share/ \
				   docdir=$(DEB_DESTDIR)/usr/share/doc/

DEB_DH_MAKESHLIBS_ARGS_scilab-full-bin = -n
DEB_DH_MAKESHLIBS_ARGS_scilab-minimal-bin = -n
DEB_DH_SHLIBDEPS_ARGS_scilab-full-bin = -Xusr/lib/jni/libjavasci.so
#DEB_MAKE_CHECK_TARGET = check

DEB_INSTALL_CHANGELOGS_ALL = CHANGES_5.3.X CHANGES_5.4.X CHANGES_5.5.X

#debian/stamp-autotools-files:
#	autoreconf

common-install-arch::
# Remove empty directories
	find $(DEB_DESTDIR)/usr/share/scilab -type d -empty -delete
# Remove la files
	find $(DEB_DESTDIR)/usr/lib/ -name '*.la' -delete

install/scilab-data::
# Fails the build if some basic file does not exist
	if test ! -f $(DEB_DESTDIR)usr/share/scilab/modules/core/macros/lib; then \
		exit 1; \
	fi
# Remove extra license files to make lintian happier
# See debian/copyright for them
	rm $(DEB_DESTDIR)usr/share/scilab/modules/*/license.txt
	rm $(DEB_DESTDIR)usr/share/scilab/contrib/toolbox_skeleton/license.txt
	rm $(DEB_DESTDIR)usr/share/scilab/modules/tclsci/tcl/sciGUI/license.txt
	rm $(DEB_DESTDIR)usr/share/scilab/modules/umfpack/TAUCS_license.txt $(DEB_DESTDIR)usr/share/scilab/modules/umfpack/UMFPACK_license.txt

# Remove COPYING file
	rm $(DEB_DESTDIR)usr/share/scilab/COPYING

# Remove dead code
	rm -rf $(DEB_DESTDIR)usr/share/scilab/modules/helptools/bin $(DEB_DESTDIR)usr/share/scilab/modules/tclsci/demos/tk/timer $(DEB_DESTDIR)usr/share/scilab/modules/intersci/examples/sedprov

# Generate the manpages
	help2man ./bin/scilab > debian/scilab.1
	help2man ./bin/scilab-cli > debian/scilab-cli.1
	help2man ./bin/scilab-adv-cli > debian/scilab-adv-cli.1

	mkdir -p $(CURDIR)/debian/scilab-cli/usr/share/icons/
	cp -R $(DEB_DESTDIR)usr/share/icons/hicolor/ $(CURDIR)/debian/scilab-cli/usr/share/icons/

# Management of the tests, help and demos
	for dir in $(DEB_DESTDIR)usr/share/scilab/modules/*; do \
		moduleName=`echo $$dir|sed -e "s|.*/\(.*\)|\1|"`; \
		target=$(CURDIR)/debian/scilab-doc/usr/share/scilab/modules/$$moduleName; \
		target_test=$(CURDIR)/debian/scilab-test/usr/share/scilab/modules/$$moduleName; \
		# Move tests in the right package; \
		if test -d $$dir/tests; then \
			mkdir -p $$target_test; \
			mv $$dir/tests $$target_test; \
		fi; \
		# Move the help in the right package; \
		if test -d $$dir/demos -o -d $$dir/help/en_US/; then \
			mkdir -p $$target/help; \
		fi; \
		if test -d $$dir/demos; then \
			mv $$dir/demos $$target; \
		fi; \
		if test -d $$dir/help/en_US; then \
			mv $$dir/help/en_US $$target/help/; \
		fi; \
		if test -d $$dir/help/fr_FR; then \
			mkdir -p $(CURDIR)/debian/scilab-doc-fr/usr/share/scilab/modules/$$moduleName/help; \
			mv $$dir/help/fr_FR $(CURDIR)/debian/scilab-doc-fr/usr/share/scilab/modules/$$moduleName/help/; \
		fi; \
		if test -d $$dir/help/pt_BR; then \
			mkdir -p $(CURDIR)/debian/scilab-doc-pt-br/usr/share/scilab/modules/$$moduleName/help; \
			mv $$dir/help/pt_BR $(CURDIR)/debian/scilab-doc-pt-br/usr/share/scilab/modules/$$moduleName/help/; \
		fi; \
		if test -d $$dir/help/ja_JP; then \
			mkdir -p $(CURDIR)/debian/scilab-doc-ja/usr/share/scilab/modules/$$moduleName/help; \
			mv $$dir/help/ja_JP $(CURDIR)/debian/scilab-doc-ja/usr/share/scilab/modules/$$moduleName/help/; \
		fi; \
	done

install/scilab-doc::
	mkdir $(CURDIR)/debian/scilab-doc/usr/share/scilab/modules/helptools/jar/
	EN_US_DOC=$(CURDIR)/debian/tmp/usr/share/scilab/modules/helptools/jar/scilab_en_US_help.jar; \
	mv $$EN_US_DOC $(CURDIR)/debian/scilab-doc/usr/share/scilab/modules/helptools/jar/

install/scilab-doc-fr::
	mkdir $(CURDIR)/debian/scilab-doc-fr/usr/share/scilab/modules/helptools/jar/
	FR_FR_DOC=$(CURDIR)/debian/tmp/usr/share/scilab/modules/helptools/jar/scilab_fr_FR_help.jar; \
	mv $$FR_FR_DOC $(CURDIR)/debian/scilab-doc-fr/usr/share/scilab/modules/helptools/jar/

install/scilab-doc-pt-br::
	mkdir $(CURDIR)/debian/scilab-doc-pt-br/usr/share/scilab/modules/helptools/jar/
	PT_BR_DOC=$(CURDIR)/debian/tmp/usr/share/scilab/modules/helptools/jar/scilab_pt_BR_help.jar; \
	mv $$PT_BR_DOC $(CURDIR)/debian/scilab-doc-pt-br/usr/share/scilab/modules/helptools/jar/

install/scilab-doc-ja::
	mkdir -p $(CURDIR)/debian/scilab-doc-ja/usr/share/scilab/modules/helptools/jar/
	JA_DOC=$(CURDIR)/debian/tmp/usr/share/scilab/modules/helptools/jar/scilab_ja_JP_help.jar; \
	mv $$JA_DOC $(CURDIR)/debian/scilab-doc-ja/usr/share/scilab/modules/helptools/jar/

binary-install/scilab-minimal-bin::

#	for file in $(DEB_DESTDIR)/usr/lib/scilab/*.so; do \
#		chrpath -d $$file; \
#	done

#	for file in $(DEB_DESTDIR)/usr/bin/scilab-cli-bin; do \
#		chrpath -d $$file; \
#	done

	mkdir -p $(CURDIR)/debian/scilab-minimal-bin/usr/bin
	mv $(CURDIR)/debian/tmp/usr/bin/scilab-cli-bin $(CURDIR)/debian/scilab-minimal-bin/usr/bin/

#binary-install/scilab-full-bin::
# Remove rpath
#	for file in $(DEB_DESTDIR)/usr/bin/scilab-bin  $(DEB_DESTDIR)/usr/bin/intersci; do \
#		chrpath -d $$file; \
#	done

# Move binaries
	mkdir -p $(CURDIR)/debian/scilab-full-bin/usr/bin
	mv $(CURDIR)/debian/tmp/usr/bin/scilab-bin $(CURDIR)/debian/tmp/usr/bin/intersci $(CURDIR)/debian/scilab-full-bin/usr/bin/
	if test -s $(CURDIR)/debian/tmp/usr/bin/modelicac; then \
		chrpath -d $(CURDIR)/debian/tmp/usr/bin/modelicac $(CURDIR)/debian/tmp/usr/bin/XML2Modelica $(CURDIR)/debian/tmp/usr/bin/modelicat; \
		mv $(CURDIR)/debian/tmp/usr/bin/modelicac $(CURDIR)/debian/tmp/usr/bin/XML2Modelica $(CURDIR)/debian/tmp/usr/bin/modelicat $(CURDIR)/debian/scilab-full-bin/usr/bin/; \
	fi
# Move the javasci2 lib
	mkdir -p $(CURDIR)/debian/scilab-full-bin/usr/share/java/
	mkdir -p $(CURDIR)/debian/scilab-full-bin/usr/lib/jni/
	mv debian/tmp/usr/share/scilab/modules/javasci/jar/org.scilab.modules.javasci.jar $(CURDIR)/debian/scilab-full-bin/usr/share/java/
	mv debian/tmp/usr/lib/scilab/libjavasci2.so*  $(CURDIR)/debian/scilab-full-bin/usr/lib/jni/

clean::
# Remove empty translation files
	[ -s modules/maple2scilab/locales/fr_FR/maple2scilab.po ] || rm -f modules/maple2scilab/locales/fr_FR/maple2scilab.po
	[ -s modules/boolean/locales/fr_FR/boolean.po ] || rm -f modules/boolean/locales/fr_FR/boolean.po
	[ -s modules/intersci/locales/fr_FR/intersci.po ] || rm -f modules/intersci/locales/fr_FR/intersci.po
	[ -s modules/scilab2fortran/locales/fr_FR/scilab2fortran.po ] || rm -f modules/scilab2fortran/locales/fr_FR/scilab2fortran.po
	[ -s modules/arnoldi/locales/fr_FR/arnoldi.po ] || rm -f modules/arnoldi/locales/fr_FR/arnoldi.po
	[ -s modules/scipad/locales/fr_FR/scipad.po ] || rm -f modules/scipad/locales/fr_FR/scipad.po

## scilab 5.5.0

=== contrib/toolbox_skeleton/DESCRIPTION ===
Toolbox: toolbox_skeleton

Title: Toolbox Skeleton

Summary: Skeleton of a valid atoms package

Version: 1.3

Author: Scilab Enterprises

Maintainer: Scilab Enterprises

Category: biology - Robotic_2
 CatB - SScat2
 biology - modelisation_III

Entity: Scilab Enterprises

WebSite: http://www.scilab.org

License: CeCILL

ScilabVersion: >= 5.4

Depends: 

Date: 2013-07-18

Description: files to the new Docbook based format.
 
 install xmltodocbook
 - linux : unzip xmltodocbook.zip and exec builder.sce
 - windows : click on xmltodocbook-1.0.exe
 load toolbox in scilab
 exec loader.sce
 
 help xmltodocbook

=== debian/changelog ===
scilab (5.5.0-2) unstable; urgency=medium

  * Bring back the signal processing library (Don't know why it was missing)
    (Closes: #738456) (LP: #1265929)
  * Bring back missing changelog items (Closes: #733279)
  * Restrict to the arch on which OpenJDK is available:
    amd64, armel, armhf, i386, mips, mipsel, powerpc, s390x, arm64, ppc64el
    (Partial Closes of #739235)
  * Disable dh_autoreconf call. Disabling of libtool in dh_autoreconf is failing
    It messes things up in Ubuntu with the weird Scilab library ordering stuff
    (LP: #1307875)

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 16 Apr 2014 16:47:04 +0200

scilab (5.5.0-1) unstable; urgency=medium

  * Stable release (very similar to beta-1+git~20140406-1522)
  * Add back the wrongly removed depend-scicos.diff
  * Also disable ocamlopt features on mips mipsel s390x sparc

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 11 Apr 2014 15:02:39 +0200

scilab (5.5.0~beta-1+git~20140406-1522-3) unstable; urgency=medium

  * Fix the build under Ubuntu. Thanks to Clement David for the patch

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 10 Apr 2014 18:16:33 +0200

scilab (5.5.0~beta-1+git~20140406-1522-2) unstable; urgency=medium

  [ Matthias Klose ]
  * Configure --without-modelica on arm64 and ppc64el, apparently the
    package wants ocamlopt.

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 08 Apr 2014 11:23:53 +0200

scilab (5.5.0~beta-1+git~20140406-1522-1) unstable; urgency=medium

  * New snapshot release
  * jh.diff: Fix an issue in the construction of the doc
  * link-issue.diff: Fix a start up segfault (LP: #1299686)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 06 Apr 2014 15:26:17 +0200

scilab (5.5.0~beta-1+git~20140327-1135-1) unstable; urgency=medium

  * New snapshot release
  * Update the version name

  [ Matthias Klose ]
  * Build using dh-autoreconf
  * Fix linking of the scilab-bin and scilab-cli-bin binaries, don't misuse
    LDFLAGS macros to add libraries.
  * Fix linking of modules and shared libraries, don't misuse LDFLAGS to
    add libraries.
  * Fix java cpu directory for arm64 and ppc64el.

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 27 Mar 2014 09:56:05 +0100

scilab (5.5.0~beta-1~git~20140324-1354-1) unstable; urgency=medium

  * New snapshot release (stable should be released next week)
  * Remove the scirenderer dependency
  * Standards-Version updated to 3.9.5

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 24 Mar 2014 13:58:01 +0100

scilab (5.3.3-10) unstable; urgency=low

  * Fix also the javadoc encoding issue (Closes: #672618)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 20 May 2012 16:55:54 +0200

scilab (5.3.3-9) unstable; urgency=low

  * Fix a build issue with openjdk7 (Closes: #672618)
  * Get ride of the watcher. The doc build process is way faster now
    (Closes: #673292)
  * Fix a bug with 32 bit userland and 64 bit kernel (Closes: #631813)
  * Standards-Version updated to version 3.9.3
  * Ignore "scilab-doc: doc-package-depends-on-main-package depends"

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 18 May 2012 17:39:55 +0200

scilab (5.3.3-8) unstable; urgency=low

  * Fix a bug on the startup of Xcos because the new version of hdf5
    in the archive is 1.8.8 (Closes: #666215)

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 29 Mar 2012 21:08:55 +0200

scilab (5.3.3-7) unstable; urgency=low

  * Change dependency libhdf5-serial-dev => libhdf5-dev
  * Update the dependency on jhdf to version 2.8

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 18 Jan 2012 18:36:36 +0100

scilab (5.3.3-6) unstable; urgency=low

  * If scilab-doc is not install, do not trigger an error. Just show a warning.
    This will avoid error link in the bug #654621
  * Update of the description
  * Add an explicit dependency on libjgoodies-looks-java

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 11 Jan 2012 20:31:55 +0100

=== debian/control ===
--- 
+++ 
@@ -14,6 +14,8 @@
  libflexdock-java (>= 1.2.3), libjogl2-java (>= 2.0-rc8), libgl1-mesa-dev,
  libjrosetta-java (>= 1.0.1), ant, libjgoodies-looks-java,
  libskinlf-java,
+# graphic
+ libfreehep-graphics2d-java, libfreehep-graphicsio-emf-java,
 # Documentation
  libjeuclid-core-java (>= 3.1.3), libbatik-java (>= 1.7), fop (>= 0.95),
  javahelp2, libsaxon-java, libavalon-framework-java, docbook-xsl,
@@ -23,7 +25,6 @@
  libmatio-dev (>= 1.5.0),
 # latex rendering
  libjlatexmath-java (>= 1.0.2),  libjlatexmath-fop-java (>= 1.0.2),
- libscirenderer-java (>= 1.1.0),
 # Xcos
  libjgraphx-java (>= 1.8.0.0), libhdf5-dev (>= 1.8.8),
 # MPI
@@ -32,7 +33,7 @@
  libecj-java,
 # Unitary testing
  ant-optional, junit4, libcobertura-java
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://www.scilab.org
 Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/scilab/trunk/
 Vcs-Browser: http://svn.debian.org/viewsvn/debian-science/packages/scilab/trunk/
@@ -105,7 +106,7 @@
 
 Package: scilab-include
 # any because of the bug #550243
-Architecture: any
+Architecture: amd64 armel armhf i386 mips mipsel powerpc s390x arm64 ppc64el
 Depends: ${misc:Depends}
 Description: Scientific software package for numerical computations (include files)
  Scilab is a matrix-based scientific software package.
@@ -126,7 +127,7 @@
 
 
 Package: scilab-minimal-bin
-Architecture: any
+Architecture: amd64 armel armhf i386 mips mipsel powerpc s390x arm64 ppc64el
 Depends: ${shlibs:Depends}, scilab-data (= ${source:Version}),
  ${misc:Depends}
 Replaces: scilab-bin, scilab-full-bin (<< 5.4.1-3)
@@ -151,15 +152,15 @@
  Please install the package "scilab" to have all features.
 
 Package: scilab-full-bin
-Architecture: any
+Architecture: amd64 armel armhf i386 mips mipsel powerpc s390x arm64 ppc64el
 Depends: ${shlibs:Depends}, scilab-minimal-bin (= ${binary:Version}),
  libflexdock-java (>= 1.2.3), libjogl2-java (>= 2.0-rc8), libjrosetta-java (>= 1.0.1),
  libjlatexmath-java (>= 1.0.2), libjlatexmath-fop-java (>= 1.0.2),
  libjeuclid-core-java, libbatik-java (>= 1.7), default-jre, bwidget,
  fop (>= 0.95), libsaxon-java, libavalon-framework-java, docbook-xsl,
  javahelp2, libjgraphx-java (>= 1.8.0.0), libjgoodies-looks-java,
- libskinlf-java, ${misc:Depends}, libscirenderer-java (>= 1.1.0),
- libecj-java
+ libskinlf-java, ${misc:Depends}, libecj-java, libfreehep-graphics2d-java,
+ libfreehep-graphicsio-emf-java
 Replaces: scilab (<< 5.0), scilab-bin, scilab-minimal-bin (<< 5.4.1-3), libscilab2-java (<< 5.4.1-4)
 Breaks: scilab-minimal-bin (<< 5.4.1-3), libscilab2-java (<< 5.4.1-4)
 Description: Scientific software package for numerical computations (all binary files)
@@ -182,7 +183,7 @@
 
 
 Package: scilab-minimal-bin-dbg
-Architecture: any
+Architecture: amd64 armel armhf i386 mips mipsel powerpc s390x arm64 ppc64el
 Section: debug
 Priority: extra
 Pre-Depends: ${dpkg:Depends}
@@ -206,7 +207,7 @@
  This package contains the architecture specific debugging symbols.
 
 Package: scilab-full-bin-dbg
-Architecture: any
+Architecture: amd64 armel armhf i386 mips mipsel powerpc s390x arm64 ppc64el
 Section: debug
 Priority: extra
 Pre-Depends: ${dpkg:Depends}
@@ -254,10 +255,3 @@
  control, signal processing, ...
  .
  This package also provides Xcos, a graphical editor to design hybrid
- dynamical systems models. Models can be designed, loaded, saved, compiled and
- simulated.
- Stable and efficient solution for industrial and academics needs, Xcos
- provides functionalities for modeling of mechanical systems (automotive,
- aeronautics...), hydraulic circuits (dam, pipe modeling...), control systems,
- etc. Modelica capabilities are also provided.
- .

=== debian/rules ===
--- 
+++ 
@@ -7,22 +7,27 @@
 DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
-archdir_map	:= amd64=amd64 i386=i386 lpia=i386 powerpc=ppc sparc=sparc ia64=ia64 armel=arm mips=mips mipsel=mipsel
+archdir_map	:= amd64=amd64 i386=i386 lpia=i386 powerpc=ppc sparc=sparc ia64=ia64 armel=arm mips=mips mipsel=mipsel ppc64el=ppc64le arm64=aarch64
 archdir		:= $(strip $(patsubst $(DEB_HOST_ARCH)=%, %, \
 			$(filter $(DEB_HOST_ARCH)=%, $(archdir_map))))
 
 JAVA_HOME            := /usr/lib/jvm/default-java
 
 DEB_CONFIGURE_NORMAL_ARGS += --prefix=$(DEB_CONFIGURE_PREFIX) \
-	--with-fftw --enable-relocatable \
+	--with-fftw \
 	--with-umfpack --enable-build-localization \
 	--with-install-help-xml --enable-build-help \
 	--with-tcl-library=/usr/lib/$(DEB_HOST_MULTIARCH) \
 	--enable-mpi --disable-static-system-lib
 #	--enable-compilation-tests
 
+
+# requires ocamlopt
+ifneq (,$(filter $(DEB_HOST_ARCH),arm64 ppc64el mips mipsel s390x sparc))
+  DEB_CONFIGURE_NORMAL_ARGS += --without-modelica
+endif
+
 DEB_CONFIGURE_SCRIPT_ENV += LDFLAGS="-Wl,--no-as-needed"
-
 
 ENABLE_BUILD_HELP_ARCHS := amd64 i386
 ifneq (,$(findstring $(DEB_HOST_ARCH),$(ENABLE_BUILD_HELP_ARCHS)))
@@ -46,8 +51,9 @@
 
 DEB_INSTALL_CHANGELOGS_ALL = CHANGES_5.3.X CHANGES_5.4.X CHANGES_5.5.X
 
-#debian/stamp-autotools-files:
-#	autoreconf
+# Do not run libtoolize because it can mess up with Scilab library
+debian/stamp-autotools-files:
+	autoreconf
 
 common-install-arch::
 # Remove empty directories
@@ -173,5 +179,3 @@
 	[ -s modules/boolean/locales/fr_FR/boolean.po ] || rm -f modules/boolean/locales/fr_FR/boolean.po
 	[ -s modules/intersci/locales/fr_FR/intersci.po ] || rm -f modules/intersci/locales/fr_FR/intersci.po
 	[ -s modules/scilab2fortran/locales/fr_FR/scilab2fortran.po ] || rm -f modules/scilab2fortran/locales/fr_FR/scilab2fortran.po
-	[ -s modules/arnoldi/locales/fr_FR/arnoldi.po ] || rm -f modules/arnoldi/locales/fr_FR/arnoldi.po
-	[ -s modules/scipad/locales/fr_FR/scipad.po ] || rm -f modules/scipad/locales/fr_FR/scipad.po

=== debian/watch ===
version=3
http://www.scilab.org/en/development/sources/stable \
 .*/scilab-([\d\.]+)-src.*.tar.gz debian debian/orig-tar.sh

## scilab 5.5.1

=== debian/changelog ===
scilab (5.5.1-7) unstable; urgency=medium

  * Team upload.
  * Readd m4-hdf5.patch in d/patches/series, which had been mistakenly
    removed in version 5.5.1-4. Remove hdf5-libsz.diff which has been
    introduced in replacement.
  * Also readd remove-exit.diff.

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 01 Mar 2015 10:39:14 +0100

scilab (5.5.1-6) unstable; urgency=medium

  * Team upload.
  * Readd m4-java-ppc64el.patch in d/patches/series. It had been
    mistakenly removed in the previous upload. This fixes the FTBFS on
    ppc64el. (Closes: #776525)
  * Fix a mistake in the above patch concerning bin/scilab. The machine
    name (output of 'uname -m') is ppc64le and not ppc64el. This error
    was making scilab unable to start on ppc64el.

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 28 Feb 2015 22:47:24 +0100

scilab (5.5.1-5) unstable; urgency=medium

  * Remove some bashims (Closes: #772410, #772409, #772408)

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 08 Dec 2014 15:03:32 +0100

scilab (5.5.1-4) unstable; urgency=medium

  * Set a minimal version on the libjogl2 package
    to avoid FTFBFS (Closes: 769002). The problem
    itself will be address in libjogl2-java (bug 769003)

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 14 Nov 2014 11:07:31 +0100

scilab (5.5.1-3) unstable; urgency=medium

  * Fix FTBFS with Jogl 2.2 (Closes: #765118)

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 06 Nov 2014 10:54:21 +0100

scilab (5.5.1-2) unstable; urgency=medium

  * Fix a typo in the patch m4-java-ppc64el.patch

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 07 Oct 2014 10:29:47 +0200

scilab (5.5.1-1) unstable; urgency=medium

  * New upstream release
    - Support of openjdk 8 (Closes: #760931)
  * Support of ppc64el (Closes: #761920)

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 02 Oct 2014 13:16:47 +0200

scilab (5.5.0-3) unstable; urgency=medium

  [Gilles Filippini]
  * Team upload (closes: #756698).
  * Support hdf5 1.8.13 new packaging layout.
  * New patch m4-hdf5.patch: fix typo and unneeded dependency on
    inexistant libsz.

  [Sylvestre Ledru]
  * Vcs-* tag fixed

 -- Gilles Filippini <pini@debian.org>  Sat, 02 Aug 2014 12:50:57 +0200

## scilab 5.5.2

=== DESCRIPTION ===
Toolbox: toolbox_7

Title: Toolbox Test 7

Summary: To test the Atoms system

Version: 1.0

Author: Pierre MARECHAL

Maintainer: Pierre Marechal <pierre.marechal@scilab.org>

Category: Tests

Entity: Consortium Scilab - DIGITEO

WebSite: http://www.scilab.org

URL: http://test.atoms.scilab.org/toolboxes/toolbox_7/1.0

License: CeCILL

ScilabVersion: ~  

Depends: 

Date: 2010-02-01

Description: Test the Atoms system
 
 It contains 4 functions :
  - t7_version()
  - t7_function1()
  - t7_function2()
  - t7_function3()

=== contrib/xcos_toolbox_skeleton/DESCRIPTION ===
Toolbox: xcos_toolbox_skeleton

Title: Xcos toolbox skeleton

Summary: Add some blocks to a palette

Version: 1.1

Author: Clément DAVID <clement.david@scilab-enterprises.com>

Maintainer: Clément DAVID <clement.david@scilab-enterprises.com>

Category: Xcos

Entity: Scilab Enterprises

WebSite: http://www.scilab.org

License: CeCILL

ScilabVersion: >= 5.5

Depends: 

Date: 2014-01-15

Description: Example for an Xcos toolbox
 
 exec builder.sce
 exec loader.sce
 
 help xcos_toolbox_skeleton

=== modules/intersci/examples/Makefile ===
SHELL = /bin/sh

SCIDIR=../..
INTERSCI = $(SCIDIR)/bin/intersci

include ../../Makefile.incl

all:: info 

info:
	@echo "Type \"make /tmp/pgm.o\" to compile pgm program"
	@echo "Type \"make objs\" to compile all test programs"

OBJS= /tmp/ex1c.o /tmp/ex2f.o /tmp/ex4f.o /tmp/ex5f.o  /tmp/ex6c.o \
	/tmp/ex7f.o /tmp/ex8c.o /tmp/ex9f.o /tmp/ex10f.o /tmp/ex11c.o \
	/tmp/ex12c.o /tmp/ex13c.o  /tmp/ex14c.o /tmp/ex15c.o /tmp/ex16c.o

IOBJS= /tmp/ex1fi.o /tmp/ex2fi.o /tmp/ex3fi.o /tmp/ex4fi.o /tmp/ex5fi.o \
	/tmp/ex6fi.o /tmp/ex7fi.o /tmp/ex8fi.o /tmp/ex9fi.o \
	/tmp/ex10fi.o /tmp/ex11fi.o /tmp/ex12fi.o /tmp/ex13fi.o \
	/tmp/ex14fi.o  /tmp/ex15fi.o /tmp/ex16fi.o

objs	: $(OBJS) $(IOBJS)

CFLAGS = $(CC_OPTIONS) $(CC_PICFLAGS) -I$(SCIDIR)/routines
FFLAGS = $(FC_OPTIONS) $(FC_PICFLAGS) -I$(SCIDIR)/routines

/tmp/ex1fi.o: ex1fi.desc
	$(INTERSCI) ex1fi ; ./sedprov ex1fi 
	$(FC) $(FFLAGS) -c ex1fi.f  -o /tmp/ex1fi.o

/tmp/ex1c.o: ex1c.c
	$(CC) $(CFLAGS) -c ex1c.c  -o /tmp/ex1c.o

/tmp/ex2fi.o: ex2fi.desc
	$(INTERSCI) ex2fi ; ./sedprov ex2fi 
	$(FC) $(FFLAGS) -c ex2fi.f  -o /tmp/ex2fi.o

/tmp/ex2f.o: ex2f.f
	$(FC) $(FFLAGS) -c ex2f.f  -o /tmp/ex2f.o

/tmp/ex3fi.o: ex3fi.desc
	$(INTERSCI) ex3fi ; ./sedprov ex3fi 
	$(FC) $(FFLAGS) -c ex3fi.f  -o /tmp/ex3fi.o

/tmp/ex4fi.o: ex4fi.desc
	$(INTERSCI) ex4fi ; ./sedprov ex4fi 
	$(FC) $(FFLAGS) -c ex4fi.f  -o /tmp/ex4fi.o

/tmp/ex4f.o: ex4f.f
	$(FC) $(FFLAGS) -c ex4f.f  -o /tmp/ex4f.o

/tmp/ex5fi.o: ex5fi.desc
	$(INTERSCI) ex5fi ; ./sedprov ex5fi 
	$(FC) $(FFLAGS) -c ex5fi.f  -o /tmp/ex5fi.o

/tmp/ex5f.o: ex5f.f
	$(FC) $(FFLAGS) -c ex5f.f  -o /tmp/ex5f.o

/tmp/ex6fi.o: ex6fi.desc
	$(INTERSCI) ex6fi ; ./sedprov ex6fi 
	$(FC) $(FFLAGS) -c ex6fi.f  -o /tmp/ex6fi.o

/tmp/ex6c.o: ex6c.c
	$(CC) $(CFLAGS) -c ex6c.c  -o /tmp/ex6c.o

/tmp/ex7fi.o: ex7fi.desc
	$(INTERSCI) ex7fi ; ./sedprov ex7fi 
	$(FC) $(FFLAGS) -c ex7fi.f  -o /tmp/ex7fi.o

/tmp/ex7f.o: ex7f.f
	$(FC) $(FFLAGS) -c ex7f.f  -o /tmp/ex7f.o

/tmp/ex8fi.o: ex8fi.desc
	$(INTERSCI) ex8fi ; ./sedprov ex8fi 
	$(FC) $(FFLAGS) -c ex8fi.f  -o /tmp/ex8fi.o

/tmp/ex8c.o: ex8c.c
	$(CC) $(CFLAGS) -c ex8c.c  -o /tmp/ex8c.o

/tmp/ex9fi.o: ex9fi.desc
	$(INTERSCI) ex9fi ; ./sedprov ex9fi 
	$(FC) $(FFLAGS) -c ex9fi.f  -o /tmp/ex9fi.o

/tmp/ex9f.o: ex9f.f
	$(FC) $(FFLAGS) -c ex9f.f  -o /tmp/ex9f.o

/tmp/ex10fi.o: ex10fi.desc
	$(INTERSCI) ex10fi ; ./sedprov ex10fi 
	$(FC) $(FFLAGS) -c ex10fi.f  -o /tmp/ex10fi.o

/tmp/ex10f.o: ex10f.f
	$(FC) $(FFLAGS) -c ex10f.f  -o /tmp/ex10f.o

/tmp/ex11fi.o: ex11fi.desc
	$(INTERSCI) ex11fi ; ./sedprov ex11fi 
	$(FC) $(FFLAGS) -c ex11fi.f  -o /tmp/ex11fi.o

/tmp/ex11c.o: ex11c.c
	$(CC) $(CFLAGS) -c ex11c.c  -o /tmp/ex11c.o

/tmp/ex12fi.o: ex12fi.desc
	$(INTERSCI) ex12fi ; ./sedprov ex12fi 
	$(FC) $(FFLAGS) -c ex12fi.f  -o /tmp/ex12fi.o

/tmp/ex12c.o: ex12c.c
	$(CC) $(CFLAGS) -c ex12c.c  -o /tmp/ex12c.o

/tmp/ex13fi.o: ex13fi.desc
	$(INTERSCI) ex13fi ; ./sedprov ex13fi 
	$(FC) $(FFLAGS) -c ex13fi.f  -o /tmp/ex13fi.o

/tmp/ex13c.o: ex13c.c
	$(CC) $(CFLAGS) -c ex13c.c  -o /tmp/ex13c.o

/tmp/ex14fi.o: ex14fi.desc
	$(INTERSCI) ex14fi ; ./sedprov ex14fi 
	$(FC) $(FFLAGS) -c ex14fi.f  -o /tmp/ex14fi.o

/tmp/ex14c.o: ex14c.c
	$(CC) $(CFLAGS) -c ex14c.c  -o /tmp/ex14c.o


/tmp/ex15fi.o: ex15fi.desc
	$(INTERSCI) ex15fi ; ./sedprov ex15fi 
	$(FC) $(FFLAGS) -c ex15fi.f  -o /tmp/ex15fi.o

/tmp/ex15c.o: ex15c.c
	$(CC) $(CFLAGS) -c ex15c.c  -o /tmp/ex15c.o

/tmp/ex16fi.o: ex16fi.desc
	$(INTERSCI) ex16fi ; ./sedprov ex16fi 
	$(FC) $(FFLAGS) -c ex16fi.f  -o /tmp/ex16fi.o

/tmp/ex16c.o: ex16c.c
	$(CC) $(CFLAGS) -c ex16c.c  -o /tmp/ex16c.o

tests	:  Makefile 
	@$(RM) zallfi.desc
	@cat *.desc > zallfi 
	@mv zallfi zallfi.desc 
	@$(INTERSCI) zallfi > /dev/null ; ./sedprov zallfi
	@$(SCIDIR)/util/scidem $(SCIDIR) zall.sce zallfi.dia	

distclean:: clean

clean	::
	@$(RM)  ex*fi.f ex*fi.sce ex*fi.tmp zallfi zallfi.desc zallfi.sce zallfi.f zallfi.o zallfi.dia
	@$(RM)  $(OBJS) $(IOBJS)

=== debian/changelog ===
scilab (5.5.2-2ubuntu3) xenial; urgency=medium

  * Enable debian/patches/fop-2.0.diff again to avoid a FTBFS
    since fop 2.0 is now in Ubuntu.

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 06 Apr 2016 18:32:35 +0200

scilab (5.5.2-2ubuntu2) xenial; urgency=medium

  * No-change rebuild for ncurses6 transition.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Feb 2016 12:48:24 +0000

scilab (5.5.2-2ubuntu1) xenial; urgency=medium

  * Disable debian/patches/fop-2.0.diff in order to build
    with fop 1.1 until fop 2.0 lands in Ubuntu, see LP: #1515361
  * Rebuild against suitesparse 1:4.4.5-2

 -- Graham Inggs <graham@nerve.org.za>  Tue, 01 Dec 2015 12:02:19 +0200

scilab (5.5.2-2) unstable; urgency=medium

  * Team upload.
  * Build against gluegen2 and libjogl2-java 2.3.2 (closes: #791990,
    #798652):
    - New patch libjogl2-java-2.3.2.diff to adapt to jogamp 2.3.2
    - Bump the versioned build-depends and depends on libjogl2-java
      >= 2.3.2
    - Complete patch jvm-archdir-ppc64le.diff to fix bin/scilab.
  * Refresh patch aarch64-detection.patch.

 -- Gilles Filippini <pini@debian.org>  Fri, 30 Oct 2015 00:26:29 +0100

scilab (5.5.2-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix build with changed jvm architecure directory on ppc64el.
    Closes: #801060.
  * Fix Aarch64 detection (Martin Michlmayr). Closes: #791539.

 -- Matthias Klose <doko@debian.org>  Wed, 07 Oct 2015 10:02:09 +0200

scilab (5.5.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Three new patches to cope with java libs API changes:
    - xmlgraphics-commons-2.0.diff
    - fop-2.0.diff
    - batik-1.8.diff
    (closes: #800632).

 -- Gilles Filippini <pini@debian.org>  Sat, 03 Oct 2015 10:06:53 +0200

scilab (5.5.2-1) unstable; urgency=medium

  * New upstream release
  * Patches removed (merged upstream):
    - m4-hdf5.patch
    - m4-java-ppc64el.patch
    - remove-exit.diff
    - bashim.diff
    - jogl-2.2.diff

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 01 Apr 2015 11:31:59 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: scilab
 Section: math
 Priority: optional
-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Sylvestre Ledru <sylvestre@debian.org>
 Build-Depends: autoconf, automake, cdbs, debhelper (>= 7), gfortran,
  default-jdk, chrpath, ocaml-nox (>= 3.11.2-3), fakeroot,
@@ -11,7 +12,7 @@
  libblas-dev | librefblas3-dev | libatlas-base-dev, liblapack-dev,
  libarpack2-dev (>= 3.0),
 # Java deps
- libflexdock-java (>= 1.2.3), libjogl2-java (>= 2.0-rc8), libgl1-mesa-dev,
+ libflexdock-java (>= 1.2.3), libjogl2-java (>= 2.3.2), libgl1-mesa-dev,
  libjrosetta-java (>= 1.0.1), ant, libjgoodies-looks-java,
  libskinlf-java,
 # graphic
@@ -35,8 +36,8 @@
  ant-optional, junit4, libcobertura-java
 Standards-Version: 3.9.5
 Homepage: http://www.scilab.org
-Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/scilab/trunk/
-Vcs-Browser: http://svn.debian.org/viewsvn/debian-science/packages/scilab/trunk/
+Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/scilab/branches/5.5
+Vcs-Browser: http://svn.debian.org/viewsvn/debian-science/packages/scilab/branches/5.5
 
 Package: scilab-cli
 Architecture: all
@@ -154,7 +155,7 @@
 Package: scilab-full-bin
 Architecture: amd64 armel armhf i386 mips mipsel powerpc s390x arm64 ppc64el
 Depends: ${shlibs:Depends}, scilab-minimal-bin (= ${binary:Version}),
- libflexdock-java (>= 1.2.3), libjogl2-java (>= 2.0-rc8), libjrosetta-java (>= 1.0.1),
+ libflexdock-java (>= 1.2.3), libjogl2-java (>= 2.3.2), libjrosetta-java (>= 1.0.1),
  libjlatexmath-java (>= 1.0.2), libjlatexmath-fop-java (>= 1.0.2),
  libjeuclid-core-java, libbatik-java (>= 1.7), default-jre, bwidget,
  fop (>= 0.95), libsaxon-java, libavalon-framework-java, docbook-xsl,
@@ -254,4 +255,3 @@
  etc...) and comes with a number of specific toolboxes for
  control, signal processing, ...
  .
- This package also provides Xcos, a graphical editor to design hybrid

=== debian/rules ===
--- 
+++ 
@@ -21,6 +21,10 @@
 	--enable-mpi --disable-static-system-lib
 #	--enable-compilation-tests
 
+ifneq ($(wildcard /usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial/libhdf5.so),)
+  DEB_CONFIGURE_NORMAL_ARGS += --with-hdf5-include=/usr/include/hdf5/serial \
+	        --with-hdf5-library=/usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial
+endif
 
 # requires ocamlopt
 ifneq (,$(filter $(DEB_HOST_ARCH),arm64 ppc64el mips mipsel s390x sparc))
@@ -177,5 +181,3 @@
 # Remove empty translation files
 	[ -s modules/maple2scilab/locales/fr_FR/maple2scilab.po ] || rm -f modules/maple2scilab/locales/fr_FR/maple2scilab.po
 	[ -s modules/boolean/locales/fr_FR/boolean.po ] || rm -f modules/boolean/locales/fr_FR/boolean.po
-	[ -s modules/intersci/locales/fr_FR/intersci.po ] || rm -f modules/intersci/locales/fr_FR/intersci.po
-	[ -s modules/scilab2fortran/locales/fr_FR/scilab2fortran.po ] || rm -f modules/scilab2fortran/locales/fr_FR/scilab2fortran.po
